#include "WorldManager.h"
#include "GameObject.h"
class HUD :
	public GameObject
{
public:
	int coinsLeft;

	int eventHandler(Event *e);
	HUD(int coins);
	~HUD(void);
	void draw();

	int getCoinCount(){
		int c=0;
		for(int i=0;i<1000;i++){
			GameObject* p_go=WorldManager::getInstance().getAllObjects().getAt(i);
			if(p_go!=NULL){
				if(p_go->getType()=="coin"){
					c++;
				}
			}
		}
		return c;
	}
};

